wibble::net::http::FileParamSingle Struct Reference

Single file upload field. More...

`#include <http.h>`

Inheritance diagram for wibble::net::http::FileParamSingle:
[legend]
Collaboration diagram for wibble::net::http::FileParamSingle:
[legend]

## Public Member Functions

| FileParamSingle (const std::string &fname=std::string())
| If a file name is given, use its base name for storing the file; else, use the file name given by the client, without path. More...
virtual bool | read (net::mime::Reader &mime_reader, std::map< std::string, std::string > headers, const std::string &outdir, const std::string &fname_blacklist, const std::string &client_fname, int sock, const std::string &boundary, size_t inputsize)
| Handle a file upload from a multipart/form-data file upload part. More...
Public Member Functions inherited from wibble::net::http::FileParam
virtual | ~FileParam ()

## Public Attributes

FileInfo | info

## Detailed Description

Single file upload field.

## Constructor & Destructor Documentation

wibble::net::http::FileParamSingle::FileParamSingle | ( | const std::string & | fname = `std::string()` | ) |

If a file name is given, use its base name for storing the file; else, use the file name given by the client, without path.

## Member Function Documentation

bool wibble::net::http::FileParamSingle::read | ( | net::mime::Reader & | mime_reader,
|  | std::map< std::string, std::string > | headers,
|  | const std::string & | outdir,
|  | const std::string & | fname_blacklist,
|  | const std::string & | client_fname,
|  | int | sock,
|  | const std::string & | boundary,
|  | size_t | inputsize
| ) |  |

virtual

Handle a file upload from a multipart/form-data file upload part.

Implements wibble::net::http::FileParam.

## Member Data Documentation

FileInfo wibble::net::http::FileParamSingle::info

The documentation for this struct was generated from the following files:

- http.h
- http.cpp